summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtools/rockboxdev.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tools/rockboxdev.sh b/tools/rockboxdev.sh
index 4bbf75a..016fc65 100755
--- a/tools/rockboxdev.sh
+++ b/tools/rockboxdev.sh
@@ -73,6 +73,12 @@ getfile() {
$tool -Lo $dlwhere/$1 $2/$1
fi
+ if [ $? -ne 0 ] ; then
+ echo "ROCKBOXDEV: couldn't download the file!"
+ echo "ROCKBOXDEV: check your internet connection"
+ exit
+ fi
+
if test -z "$tool"; then
echo "ROCKBOXDEV: No downloader tool found!"
echo "ROCKBOXDEV: Please install curl or wget and re-run the script"